//Copyright (C)2014-2024 GOWIN Semiconductor Corporation.
//All rights reserved.
//File Title: Timing Constraints file
//Tool Version: V1.9.9.03 (64-bit) 
//Created Time: 2024-04-24 09:50:20
create_clock -name tck_pad -period 50 -waveform {0 25} [get_ports {tck_pad_i}]
create_clock -name board_clk -period 20 -waveform {0 10} [get_pins {board_clk_ibuf/I}]
create_generated_clock -name hclk_0_rx -source [get_pins {board_clk_ibuf/I}] -master_clock board_clk -divide_by 2 -multiply_by 20 [get_pins {u_motivation_response/u_pll_hclk/PLLA_inst/CLKOUT0}]
create_generated_clock -name pclk_tx -source [get_pins {u_motivation_response/u_pll_hclk_tx/PLLA_inst/CLKOUT0}] -master_clock hclk_0_tx -divide_by 5 -multiply_by 1 [get_pins {u_motivation_response/u_tx_module_top/clkdiv_inst_tx/CLKOUT}]
create_generated_clock -name hclk_180_rx -source [get_pins {board_clk_ibuf/I}] -master_clock board_clk -divide_by 2 -multiply_by 20 -phase 180 [get_pins {u_motivation_response/u_pll_hclk/PLLA_inst/CLKOUT2}]
create_generated_clock -name hclk_90_rx -source [get_pins {board_clk_ibuf/I}] -master_clock board_clk -divide_by 2 -multiply_by 20 -phase 90 [get_pins {u_motivation_response/u_pll_hclk/PLLA_inst/CLKOUT1}]
create_generated_clock -name hclk_0_tx -source [get_pins {board_clk_ibuf/I}] -master_clock board_clk -divide_by 2 -multiply_by 20 [get_pins {u_motivation_response/u_pll_hclk_tx/PLLA_inst/CLKOUT0}]
create_generated_clock -name pclk_rx -source [get_pins {u_motivation_response/u_pll_hclk/PLLA_inst/CLKOUT0}] -master_clock hclk_0_rx -divide_by 4 -multiply_by 1 [get_pins {u_EasyCDR_Top/u_easycdr/u_share_logic/clkdiv_inst/CLKOUT}]
create_generated_clock -name hclk_270_rx -source [get_pins {board_clk_ibuf/I}] -master_clock board_clk -divide_by 2 -multiply_by 20 -phase 270 [get_pins {u_motivation_response/u_pll_hclk/PLLA_inst/CLKOUT3}]
set_false_path -from [get_clocks {board_clk}] -to [get_clocks {hclk_0_rx hclk_90_rx hclk_180_rx hclk_270_rx hclk_0_tx pclk_rx pclk_tx}] 
set_false_path -from [get_clocks {pclk_tx pclk_rx}] -to [get_clocks {tck_pad}] 
set_false_path -from [get_clocks {tck_pad}] -to [get_clocks {pclk_tx pclk_rx}] 
