##part1:new lib
vlib work
vmap work work

##part2: load design
vlog -novopt -incr -work work "../../tb/prim_sim.v"
vlog -novopt -incr -work work "../../tb/tb.v"
vlog -novopt -incr -work work "../../project/src/top.v"
vlog -novopt -incr -work work "../../project/src/easycdr/easycdr.vo"
vlog -novopt -incr -work work "../../project/src/pll_hclk/pll_hclk.v"
vlog -novopt -incr -work work "../../project/src/pll_hclk_tx/pll_hclk_tx.v"
vlog -novopt -incr -work work "../../project/src/motivation_response.v"

##part3:sim design
vsim -novopt work.tb

##part4:type
radix unsigned

##part5: add signals
add wave /tb/u_top/u_motivation_response/u_tx_module_top/pll_clkout0_div_tx
add wave /tb/u_top/u_motivation_response/u_tx_module_top/k_in
add wave /tb/u_top/u_motivation_response/u_tx_module_top/data_in
add wave /tb/u_top/share_clk4
add wave /tb/u_top/dout_en
add wave /tb/u_top/dout
add wave /tb/u_top/align_flag
add wave /tb/u_top/error
add wave /tb/u_top/inspect_lock
add wave /tb/u_top/inspect_err

##part6:show ui
view wave
view structure
view signals

##part7:run
run 1ms